﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace Xamarin_Forms_Sample
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();

            series1.XBindingPath = "StringValue";
            series1.High = "High";
            series1.Low = "Low";
            series1.ItemsSource = DataSource.CategoryData;

           

        }
    }
    public static class DataSource
    {

        public static ObservableCollection<Model> CategoryData
        {
            get
            {
                var data = new ObservableCollection<Model>
                {
                    new Model("Development", 45,35),
                    new Model("Internal Testing", 35,22),
                    new Model("Field Tests", 24,12),
                    new Model("Licensing", 13,7)
                };
                return data;
            }
        }

        
    }
    public class Model : INotifyPropertyChanged
    {
        string stringValue;
        public string StringValue
        {
            get
            {
                return stringValue;
            }
            set
            {
                stringValue = value;
                OnPropertyChanged("StringValue");
            }
        }
        double low;
        public double Low
        {
            get
            {
                return low;
            }
            set
            {
                low = value;
                OnPropertyChanged("Low");
            }
        }

        double high;
        public double High
        {
            get
            {
                return high;
            }
            set
            {
                high = value;
                OnPropertyChanged("High");
            }
        }

        public Model(string xValue, double low1,double high1)
        {
            StringValue = xValue;
            Low = low1;
            High = high1;
        }
      
        private void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}